Ayuda


¡BIENVENIDO AL FORO DE ODOO ARGENTINA!

BRINDAMOS UN ESPACIO A LA COMUNIDAD ARGENTINA DE ODOO PARA CENTRALIZAR EL DEBATE, COMPARTIR IDEAS, DESARROLLOS, Y FORMAR PARTE DE UNA COMUNIDAD QUE CRECE DÍA A DÍA

¿No estás registrado?  REGISTRATE

0

Error localizacion Odoo13 en Get Connection diario ventas Producción pyafipws

Avatar
Luciano Castelo

Estimados espero se encuentren muy bien. Estoy configurando la localizacion en Odoo13

Al intentar un "dummy test" desde Contabilidad---->Configuracion---->Diarios obtengo error tanto en homologación como en producción (aclaro que al intentar usar homologacion configuro el parámetro del sistema "afip.ws.env.type" en "homologation" y en produccion lo configuro en "production").

Error en homologación:
"AttributeError: module 'httplib2' has no attribute 'SSLHandshakeError'"
Error en producción:
Odoo Server Error

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/pysimplesoap/transport.py", line 117, in _conn_request
    return httplib2.Http._conn_request(self, conn, request_uri, method, body, headers)
  File "/usr/local/lib/python3.7/dist-packages/httplib2/__init__.py", line 1557, in _conn_request
    conn.connect()
  File "/usr/local/lib/python3.7/dist-packages/httplib2/__init__.py", line 1326, in connect
    self.sock = self._context.wrap_socket(sock, server_hostname=self.host)
  File "/usr/lib/python3.7/ssl.py", line 412, in wrap_socket
    session=session
  File "/usr/lib/python3.7/ssl.py", line 853, in _create
    self.do_handshake()
  File "/usr/lib/python3.7/ssl.py", line 1117, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: DH_KEY_TOO_SMALL] dh key too small (_ssl.c:1056)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 624, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 669, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 350, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 915, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1326, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1314, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 387, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 374, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/extra-addons/odoo-argentina/l10n_ar_afipws_fe/models/journal.py", line 127, in test_pyafipws_dummy
    ws = self.company_id.get_connection(afip_ws).connect()
  File "/mnt/extra-addons/odoo-argentina/l10n_ar_afipws/models/afipws_connection.py", line 155, in connect
    ws.Conectar("", wsdl or "", "")
  File "/usr/local/lib/python3.7/dist-packages/pyafipws/utils.py", line 251, in Conectar
    trace="--trace" in sys.argv)
  File "/usr/local/lib/python3.7/dist-packages/pysimplesoap/client.py", line 139, in __init__
    self.services = wsdl and self.wsdl_parse(wsdl, debug=trace, cache=cache)
  File "/usr/local/lib/python3.7/dist-packages/pysimplesoap/client.py", line 471, in wsdl_parse
    xml = fetch(url)
  File "/usr/local/lib/python3.7/dist-packages/pysimplesoap/client.py", line 456, in fetch
    response, xml = self.http.request(url, "GET", None, {})
  File "/usr/local/lib/python3.7/dist-packages/httplib2/__init__.py", line 1991, in request
    cachekey,
  File "/usr/local/lib/python3.7/dist-packages/httplib2/__init__.py", line 1651, in _request
    conn, request_uri, method, body, headers
  File "/usr/local/lib/python3.7/dist-packages/pysimplesoap/transport.py", line 118, in _conn_request
    except (ssl.SSLError, httplib2.SSLHandshakeError) as e:
AttributeError: module 'httplib2' has no attribute 'SSLHandshakeError'


Revisé los certificados varias veces y parecen estar bien. Incluso lo hice siguiendo el webinar de Odoo 13 de Gustavo a quien agradezco mucho su persistente ayuda.

Tengo instalado tanto Phyton2.7 como Phyton3.7. Probé conla versión de httplib2 0.9.2 y sigue sin funcionar. Les dejo el listado de librerias instaladas con pip3:

aenum==2.2.3
aiohttp==3.5.1
apipkg==1.5
appdirs==1.4.3
argh==0.26.2
asn1crypto==0.24.0
async-timeout==3.0.1
attrs==18.2.0
Babel==2.6.0
beautifulsoup4==4.7.1
cached-property==1.5.1
certifi==2018.8.24
cffi==1.14.0
chardet==3.0.4
coverage==5.1
cryptography==2.9.2
dbf==0.98.3
decorator==4.3.0
defusedxml==0.5.0
docutils==0.14
ebaysdk==2.2.0
execnet==1.7.1
feedparser==5.2.1
flake8==3.4.1
fpdf==1.7.2
freezegun==0.3.11
future==0.16.0
gevent==1.3.7
greenlet==0.4.15
html2text==2018.1.9
httplib2==0.17.4
idna==2.6
isodate==0.6.0
Jinja2==2.10
libsass==0.17.0
lxml==4.3.2
M2Crypto==0.35.2
Mako==1.0.7
MarkupSafe==1.1.0
mccabe==0.6.1
mock==2.0.0
multidict==4.5.2
num2words==0.5.6
odoo==13.0.post20200417
ofxparse==0.19
passlib==1.7.1
pathtools==0.1.2
pbr==4.2.0
phonenumbers==8.9.10
Pillow==7.1.2
polib==1.1.0
psutil==5.5.1
psycogreen==1.0.2
psycopg2==2.7.7
py==1.8.1
PyAfipWs==3.7.0
pyasn1==0.4.2
pyasn1-modules==0.2.1
pycodestyle==2.3.1
pycparser==2.20
pydot==1.4.1
pyflakes==1.5.0
pyOpenSSL==19.1.0
pyparsing==2.2.0
PyPDF2==1.26.0
pyserial==3.4
PySimpleSOAP==1.16.2
pytest==3.2.1
pytest-cov==2.5.1
pytest-forked==0.2
pytest-randomly==1.2.1
pytest-timeout==1.2.0
pytest-xdist==1.20.0
python-dateutil==2.7.3
python-ldap==3.1.0
python-openid==2.2.5
python-slugify==2.0.1
python-stdnum==1.10
pytz==2019.1
pyusb==1.0.2
PyYAML==3.13
qrcode==6.1
reportlab==3.5.13
requests==2.21.0
requests-toolbelt==0.8.0
roman==2.0.0
six==1.10.0
soupsieve==1.8
suds-jurko==0.7.dev0
Unidecode==1.0.23
urllib3==1.24.1
vatnumber==1.2
vobject==0.9.6.1
watchdog==0.9.0
Werkzeug==0.14.1
xlrd==1.1.0
XlsxWriter==1.1.2
xlwt==1.3.0
yarl==1.3.0
zeep==3.2.0


Muchas gracias

Avatar
Descartar
1 Respuesta
0
Avatar
Adrian Borella
Mejor respuesta

Hola, si copiaste y pegaste los certificados, por favor revisa que no tengas ningún espacio al principio o al final, ay que eso me ha dado varios problemas en el pasado.

Avatar
Descartar